from django.urls import path
from . import views

urlpatterns = [
    path('', views.home, name='home'),
    path('create_user/', views.create_user, name='create_user'),  # URL for creating user
    path('user_login/', views.user_login, name='user_login'),  # URL for login
    path('user/dashboard/<str:user_id>/', views.dashboard, name='dashboard'),
    path('new_job_postings/', views.new_job_posting, name='new_job_postings'),
    path('logout/', views.logout_view, name='logout'),
    path('save-job-posting/', views.save_job_posting, name='save_job_posting'),
    path('add_recruiter/', views.add_recruiter, name='add_recruiter'),
    path('create_recruiter/', views.create_recruiter, name='create_recruiter'),
    path('all_job_postings/', views.all_job_posting, name='all_job_postings'),
    path('send/<int:recipient_id>/', views.send_message, name='send_message'),
    path('read/<int:message_id>/', views.mark_as_read, name='mark_as_read'),
]
